ISUPPER(3)

NAME
isupper - upper-case character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isupper(int c);

DESCRIPTION
The isupper() function tests for any upper-case letter or any of an implementation-defined set of characters for which none of iscntrl(3), isdigit(3), ispunct(3), or isspace(3) is true. In the ``C'' locale, isupper() returns true only for the characters defined as upper-case letters.

RETURN VALUES
The isupper() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isupper() function conforms to ansiC.

CAVEATS
The argument to isupper() must be EOF or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.